Last Comment Bug 768863 - [AccessFu] EBT should give a bit more context for touched items
: [AccessFu] EBT should give a bit more context for touched items
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: mozilla16
Assigned To: Eitan Isaacson [:eeejay]
:
: alexander :surkov
Mentors:
http://www.marcozehe.de
Depends on:
Blocks: 766779
  Show dependency treegraph
 
Reported: 2012-06-27 06:22 PDT by Marco Zehe (:MarcoZ)
Modified: 2012-07-02 05:31 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Provide full context for explore by touch events like we do for focus. (1.57 KB, patch)
2012-06-28 10:08 PDT, Eitan Isaacson [:eeejay]
mzehe: review+
Details | Diff | Splinter Review

Description Marco Zehe (:MarcoZ) 2012-06-27 06:22:12 PDT
Explore By Touch only speaks a very limited number of ancestors when users touch an item. Sometimes, too limited. For example:

1. Open my blog http://www.marcozehe.de.
2. Touch any of the headings that contain links, for example each of the blog post headings.

Result: TalkBack will say "Link Quick Navigation Keys now in Firefox for Android nightly builds". The information that this is also a heading, is not spoken, but should be, IMO.

I know this is hard to fine-tune, but I think in cases where there's a heading involved, we should speak that, too. Likewise (untested) a graphic that is contained within a link, we want to speak the fact that this is a link, too.
Comment 1 Eitan Isaacson [:eeejay] 2012-06-28 10:08:45 PDT
Created attachment 637564 [details] [diff] [review]
Provide full context for explore by touch events like we do for focus.

This makes the utterances identical to linear nav.
Comment 2 Marco Zehe (:MarcoZ) 2012-06-28 21:14:36 PDT
Comment on attachment 637564 [details] [diff] [review]
Provide full context for explore by touch events like we do for focus.

r=me. Thanks, I believe this makes more sense than to artificially filter the ancestry.
Comment 3 Eitan Isaacson [:eeejay] 2012-06-29 11:32:01 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/752842e054ee
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-06-30 12:44:19 PDT
https://hg.mozilla.org/mozilla-central/rev/752842e054ee
Comment 5 Marco Zehe (:MarcoZ) 2012-07-02 05:31:34 PDT
Verified fixed in Firefox/Android 16.0a1 2012-07-01.

Note You need to log in before you can comment on or make changes to this bug.